/*This demo sends accelerometer data from a Wii Nunchuck
over the Serial Port.  Any program that can access
the Serial Port should be able to use this stream of data.

This code has been modified from Tod E. Kurts demo which can 
be downloaded from his website: http://todbot.com/blog/

You will need to have downloaded and installed the "nunchuck_funcs.h" library
that was also built by Tod E. Kurt.  This library can be downloaded from his
website at: http://todbot.com/blog/2008/02/18/wiichuck-wii-nunchuck-adapter-available/

Feel free to email andy@liftarchitects.com if you have questions about this code.
 */

#include <Servo.h>
#include <Wire.h>
#include "nunchuck_funcs.h"    

int loop_cnt=0;

byte accx,accy,zbut,cbut;

void setup()
{
   Serial.begin(9600);
   nunchuck_setpowerpins();
   nunchuck_init(); // send the initilization handshake
   //Serial.print("WiiChuckDemo ready\n");
}

void loop()
{
     if( loop_cnt > 100 ) { // every 100 msecs get new data
       loop_cnt = 0;

       nunchuck_get_data();

       accx  = nunchuck_accelx(); // ranges from approx 70 - 182
       accy  = nunchuck_accely(); // ranges from approx 65 - 173
       zbut = nunchuck_zbutton();
       cbut = nunchuck_cbutton();
       

       Serial.print((byte)accx,DEC);
       Serial.print(",");
       Serial.println((byte)accy,DEC);
       //Serial.println((byte)zbut,DEC);
       //Serial.println((byte)cbut,DEC);
   }
   loop_cnt++;
   delay(1);
}



